Subject: Ftp-WG: Re: MLST draft - NUL CR LF again

From: Jeffrey Altman <[email-masked]>
Date: Sat, 27 Apr 2002 23:08:22 -0500

This whole argument about accepting CR-NUL as an EOL is ridiculous.
For starters, the use of CR-NUL is an on the wire representation of CR
to allow parsers to know when they can stop reading data from the
input channel.  The rule becomes 

  if you read a CR and you are an NVT, 
  then you must read at least one more character.  
  if the character is NUL, you throw it away,
  otherwise, you keep it.

Therefore, the use of CR-NUL as anything is stupid since the NUL must
be discarded.  If you need to send CR NUL as data it must be sent as
CR NUL NUL.  To send it as anything else would be to corrupt the data
stream.

 Jeffrey Altman * Sr.Software Designer      Kermit 95 1.1.21  available now!!!
 The Kermit Project @ Columbia University   SSH plus Telnet, FTP and HTTP
 http://www.kermit-project.org/             secured with Kerberos, SRP, and 
 [email-masked]                OpenSSL.